export class Exception {
    constructor(message) {
        this.message = message;
    }
}
export class APIException extends Exception {
    constructor(message, statusCode, requestURL, responseData) {
        super(message);
        this.statusCode = statusCode;
        this.requestURL = requestURL;
        this.responseData = responseData;
    }
}
export class NetworkConnectionException extends Exception {
    constructor(requestURL) {
        super(`${requestURL} cannot be connected`);
    }
}
export class RuntimeException extends Exception {
    constructor(message, errorObject) {
        super(message);
        this.errorObject = errorObject;
    }
}
export class ReactLifecycleException extends Exception {
    constructor(message, componentStack) {
        super(message);
        this.message = message;
        this.componentStack = componentStack;
    }
}
//# sourceMappingURL=Exception.js.map