import { Store } from "redux";
import { SagaMiddleware } from "redux-saga";
import { EventLogger } from "./EventLogger";
import { ActionHandler, ErrorHandler } from "./module";
import { State } from "./reducer";
interface App {
    readonly store: Store<State>;
    readonly sagaMiddleware: SagaMiddleware<any>;
    readonly actionHandlers: {
        [actionType: string]: ActionHandler;
    };
    readonly eventLogger: EventLogger;
    errorHandler: ErrorHandler | null;
    maskedEventKeywords: RegExp[];
}
export declare const app: App;
export {};
